!---------------------------------------------------------------------
!     Copyright (C) GFD Dennou Club, 2004. All rights reserved.
!---------------------------------------------------------------------
                                                                 !=begin
!= Program Arare
!
!   * Developer: KITAMORI Taichi 
!   * Version: $ 
!   * Tag Name: $Name: arare3m $
!   * Change History: 
!
!== Overview 
!
!地面温度を与える. 現段階では地面温度は定数. 
!
!== Error Handling
!
!== Known Bugs
!
!== Note
!
!  
!
!== Future Plans
!
                                                                 !=end
subroutine SurfaceTemp(sf_SfcTemp)

  !==Dependency
  use dc_trace, only: BeginSub, EndSub  
  use gridset,  only: DimXMin, DimXMax

  !==暗黙の型宣言を禁止
  implicit none
  
  !==Input
  
  !==Output
  real(8), intent(out)   :: sf_SfcTemp(DimXMin:DimXMax) 
  
  !==Work

  call BeginSub("SurfaceTemp", &
&           fmt="%c",        &
&           c1="Calculate temparature on surface (sf_SfcTemp).")

  sf_SfcTemp = 270.0d0    ! 定数値を与える

  call EndSub("SurfaceTemp")

end subroutine SurfaceTemp
